Bug 1922991 - "verify /run filesystem contents do not have unexpected content using a simple Docker Strategy Build" test fails on OKD
Summary: "verify /run filesystem contents do not have unexpected content using a simpl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks: 1924744
TreeView+ depends on / blocked
 
Reported: 2021-02-01 09:14 UTC by Vadim Rutkovsky
Modified: 2021-02-24 15:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25845 0 None closed Bug 1922991: allow OKD /run contents for build fs test 2021-02-07 03:03:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:57:55 UTC

Description Vadim Rutkovsky 2021-02-01 09:14:05 UTC
Description of problem:
Bug 1916897 has added a test which ensures /run is writable during the builds. It expects `rhsm` to contain subscription details from the host.

This test fails on OKD payloads, as FCOS doesn't have subscription information.

Comment 3 Gabe Montero 2021-02-03 13:39:33 UTC
I'm fine either way @Wen, but one could argue you could go ahead and mark this verified so we can speed up the clean up on your query.

Going through the hits on your query, one can categorize in short order that the failures there were
1) On 4.6 OKD.  We of course cannot port this fix to 4.6 until after this BZ  is verified.  The majority of hits I got from your query were 4.6 OKD.

failures for the jobs 

rehearse-12691-pull-ci-operator-framework-operator-marketplace-release-4.6-okd-e2e-aws
periodic-ci-openshift-release-master-okd-4.6-e2e-aws
promote-release-openshift-okd-machine-os-content-e2e-aws-4.7  - I believe this was just showing the delay in getting a payload with my fix .... the last 2 runs at https://prow.ci.openshift.org/job-history/origin-ci-test/logs/promote-release-openshift-okd-machine-os-content-e2e-aws-4.7 are clean


If we verified this, I could start the backport of this BZ's changes to 4.6 and clean those up faster.

2) or the job name specifically mentions the rhel7 worker node item noted in https://bugzilla.redhat.com/show_bug.cgi?id=1924128

periodic-ci-openshift-release-master-ocp-4.7-e2e-aws-workers-rhel7
pull-ci-openshift-machine-config-operator-master-e2e-aws-workers-rhel7 
periodic-ci-openshift-release-master-ocp-4.6-e2e-aws-workers-rhel7

Comment 4 Vadim Rutkovsky 2021-02-03 20:15:40 UTC
landed in https://amd64.origin.releases.ci.openshift.org/releasestream/4.7.0-0.okd/release/4.7.0-0.okd-2021-02-03-132253, no longer failing in AWS tests there

Comment 7 errata-xmlrpc 2021-02-24 15:57:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.